Feeef Cloud
ApiInventory

Hold stock for a holder (idempotent by holder)

POST
/inventory/reservations
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/inventory/reservations" \  -H "Content-Type: application/json" \  -d '{    "holderRef": "string",    "lines": [      {        "key": "string",        "namespace": "string",        "quantity": 1      }    ]  }'
{  "data": {    "holderRef": "string",    "state": "reserved",    "allocations": [      {        "objectId": 0,        "quantity": 0      }    ],    "restocked": true  }}